/*
 * wysmod - display.h
 * 	version 0.3
 * 
 * Copyright (C) 2005..2009  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __DISPLAY_H
#define __DISPLAY_H

#include <tmos/config.h>

#define WYSMOD_VERSION	"   WYSMOD - v 0.4   "
#define WYSMOD_VERSION_MAJOR		0
#define WYSMOD_VERSION_MINOR		4

#define MODE_WYSMOD			0x3
#define MODE_WYDAL			0x1
#define MODE_WYSREJ			0x2

#if defined(CONFIG_HW_WYDAL)
#include "hw-wydal.h"
#elif defined(CONFIG_HW_WYSMOD)
#include "hw-wysmod.h"
#elif defined(CONFIG_HW_EMU)
#include "hw-emu.h"
#else
#error "You should define HW_*"
#endif

void init_screen(void);

void wydal(void);
void wysmod(void);
void wysrej(void);

#endif
