/*
 * tmos - bdi32.c
 * Copyright (C) 2010  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * Tiny RT BDI32 modules support
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Fundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

#include <tmos/kernel.h>
#include <tmos/trt.h>
#include <tmos/adc.h>
#include <tmos/jiffies.h>
#include <asm/io.h>

void trt_bdi32_read(void) __reentrant
{
	taddr_t i;
	uint16_t status = 0xffff;

	for (i = 0; i < CONFIG_TRT_BDI32_CARDS; i++) {
		uint16_t v[2];
		char ret;

		ret = ioread8_copy((unsigned int)(unsigned char)(i << 4),
				(void __kernel *) v, 4);
		if (!ret) {
			status &= ~(1 << i);
			trt_write_reg(~v[0], CONFIG_TRT_BDI32_INPUTBASE
					+ 1 + (i << 1));
			trt_write_reg(~v[1], CONFIG_TRT_BDI32_INPUTBASE
					+ 2 + (i << 1));
		} else {
			trt_write_reg(0x0000, CONFIG_TRT_BDI32_INPUTBASE
					+ 1 + (i << 1));
			trt_write_reg(0x0000, CONFIG_TRT_BDI32_INPUTBASE
					+ 2 + (i << 1));
		}
	}

	trt_write_reg(status, CONFIG_TRT_BDI32_INPUTBASE);
}
