/*
 * crc7k.h
 *
 * CRC-7 0x5B Koppman little-endian checksum (0x76 polynomial)
 *
 * Copyright (C) 2013  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

#ifndef __CRC7K_H
#define __CRC7K_H

#include <tmos/types.h>

extern const u8 crc7k_table[256];

#define crc7k_byte(crc, x) (crc7k_table[(crc) ^ (x)])

u8 crc7k(u8 crc, const u8 __kernel *buf, unsigned char len);

#endif
